#include <Adafruit_NeoPixel.h> // ID# 28
#define PIN_a 14  // A0
#define PIN_b 15  // A1
#define PIN_c 16  // A2
#define PIN_d 17  // A3
#define NUM_LIGHTS_a  1
#define NUM_LIGHTS_b  1
#define NUM_LIGHTS_c  1
#define NUM_LIGHTS_d  8
#define MAX_BRIGHTNESS 32
#define MIN_BRIGHTNESS 04
#define SPEED 40 // lower is faster

Adafruit_NeoPixel strip1 = Adafruit_NeoPixel(NUM_LIGHTS_a, PIN_a, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip2 = Adafruit_NeoPixel(NUM_LIGHTS_b, PIN_b, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip3 = Adafruit_NeoPixel(NUM_LIGHTS_c, PIN_c, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip4 = Adafruit_NeoPixel(NUM_LIGHTS_d, PIN_d, NEO_GRB + NEO_KHZ800);

uint32_t BLK = strip1.Color(0, 0, 0);
uint32_t BLU = strip1.Color(0, 0, 255);
uint32_t GRN = strip1.Color(0, 255, 0);
uint32_t TEL = strip1.Color(0, 255, 255);
uint32_t RED = strip1.Color(255, 0, 0);
uint32_t PNK = strip1.Color(255, 0, 255);
uint32_t YEL = strip1.Color(255, 255, 0);
uint32_t WHI = strip1.Color(255, 255, 255);

void setup() {
  strip1.begin();
  strip2.begin();
  strip3.begin();
  strip4.begin();

  strip1.show(); // Initialize all pixels to 'off'
  strip2.show(); // Initialize all pixels to 'off'
  strip3.show(); // Initialize all pixels to 'off'
  strip4.show(); // Initialize all pixels to 'off'
}

void loop() {
  for( int BRIGHTNESS = MIN_BRIGHTNESS; BRIGHTNESS <= MAX_BRIGHTNESS; BRIGHTNESS++) {

        strip1.setPixelColor(0, RED);
        strip2.setPixelColor(0, GRN);
        strip3.setPixelColor(0, PNK);

        strip1.setBrightness((MAX_BRIGHTNESS + MIN_BRIGHTNESS) - BRIGHTNESS);
        strip2.setBrightness(BRIGHTNESS);
        strip3.setBrightness(MAX_BRIGHTNESS/2);

        strip4.setPixelColor(0, RED);
        strip4.setPixelColor(1, GRN);
        strip4.setPixelColor(2, BLU);
        strip4.setPixelColor(3, WHI);
        strip4.setPixelColor(4, RED);
        strip4.setPixelColor(5, GRN);
        strip4.setPixelColor(6, BLU);
        strip4.setPixelColor(7, WHI);
        strip4.setBrightness(BRIGHTNESS/2);

        strip1.show();
        strip2.show();
        strip3.show();
        strip4.show();

    delay(SPEED);

   }
   for( int BRIGHTNESS = MAX_BRIGHTNESS; BRIGHTNESS >= MIN_BRIGHTNESS; BRIGHTNESS--) {

     strip1.setPixelColor(0, RED);
     strip2.setPixelColor(0, GRN);
     strip3.setPixelColor(0, TEL);

     strip1.setBrightness((MAX_BRIGHTNESS + MIN_BRIGHTNESS) - BRIGHTNESS);
     strip2.setBrightness(BRIGHTNESS);
     strip3.setBrightness(MAX_BRIGHTNESS/2);

     strip4.setPixelColor(0, RED);
     strip4.setPixelColor(1, GRN);
     strip4.setPixelColor(2, BLU);
     strip4.setPixelColor(3, WHI);
     strip4.setPixelColor(4, RED);
     strip4.setPixelColor(5, GRN);
     strip4.setPixelColor(6, BLU);
     strip4.setPixelColor(7, WHI);
     strip4.setBrightness(BRIGHTNESS/2);

             strip1.show();
             strip2.show();
             strip3.show();
             strip4.show();

         delay(SPEED);

        }
      }
